<?xml version="1.0" encoding="UTF-8"?>
<listing xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Ui:etc/ui_configuration.xsd">
    <listingToolbar name="listing_top">
            <massaction name="listing_massaction">
                <action name="order_filter">
                    <argument name="data" xsi:type="array">
                        <item name="config" xsi:type="array">
                            <item name="type" xsi:type="string">order_mass</item>
                            <item name="label" xsi:type="string" translate="true">Print (BVFCO) orders</item>
                            <item name="url" xsi:type="url" path="ordermass/order/orderfilter"/>
                            <item name="confirm" xsi:type="array">
                                <item name="title" xsi:type="string" translate="true">>Print (BVFCO) orders</item>
                                <item name="message" xsi:type="string" translate="true">Are you sure to print selected items?</item>
                            </item>
                        </item>
                    </argument>
                </action>
                 <action name="order_orderfilterbqp">
                    <argument name="data" xsi:type="array">
                        <item name="config" xsi:type="array">
                            <item name="type" xsi:type="string">order_orderfilterbqp</item>
                            <item name="label" xsi:type="string" translate="true">Print (BQP) orders</item>
                            <item name="url" xsi:type="url" path="ordermass/order/orderfilterbqp"/>
                            <item name="confirm" xsi:type="array">
                                <item name="title" xsi:type="string" translate="true">>Print (BQP) orders</item>
                                <item name="message" xsi:type="string" translate="true">Are you sure to print selected items?</item>
                            </item>
                        </item>
                    </argument>
                </action>
                  <action name="Print_orders_product">
                <settings>
                    <confirm>
                        <message translate="true">Are you sure to print selected orders product items?</message>
                        <title translate="true">Print orders product</title>
                    </confirm>
                    <url path="ordermass/order/printorderproduct"/> <!-- your custom controller to handle request -->
                    <type>Print orders product</type>
                    <label translate="true">Print orders product</label>
                </settings>
            </action>
            </massaction>
    </listingToolbar>

    <columns name="sales_order_columns">
        <column name="delivery_slot">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Delivery slot</item>
                </item>
            </argument>
        </column>
    </columns>
    
</listing>